<script lang="ts">
import Vue from 'vue';
import { MetaInfo } from 'vue-meta/types/vue-meta';
import IndustryTemplate from '~/components/solutions/templates/industry-template.vue';

import { getPageMetadata } from '~/common/meta';
import { TEMPLATES } from '~/common/constants';

export default Vue.extend({
  components: {
    IndustryTemplate,
  },
  async asyncData({ error, $analyticsAndInsightsService }: any) {
    try {
      const solutions = await $analyticsAndInsightsService.getContent(
        `solutions/analytics-and-insights`,
      );

      return { solutions };
    } catch (e) {
      console.error(e);
      error({ statusCode: 404 });
      return {};
    }
  },
  nuxtI18n: false,
  data() {
    return {
      TEMPLATES,
    };
  },
  head(): MetaInfo {
    return getPageMetadata(
      (this as any).solutions,
      this.$route.path,
      this.$nuxtI18nHead({ addSeoAttributes: true }),
    );
  },
});
</script>

<template>
  <industry-template :solutions="solutions" />
</template>
